Package de.gebit.integrity.runner.providers

## Class ArchiveTestResourceProvider.ArchivedTestResource

- java.lang.Object
- - de.gebit.integrity.providers.TestResource
  - - de.gebit.integrity.runner.providers.ArchiveTestResourceProvider.ArchivedTestResource

- Enclosing class:
    ArchiveTestResourceProvider

      public static class ArchiveTestResourceProvider.ArchivedTestResource
      extends TestResource

  Test resource located within one or multiple archives.
  Author:
    Rene Schneider - initial API and implementation

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ArchivedTestResource​(String aName, TestResourceProvider aProvider, Stack<String> anArchiveFilenameStack, String aNameWithinArchive)` | Creates a new instance of `ArchiveTestResourceProvider.ArchivedTestResource`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Stack<String>` | `getArchiveFilenameStack()` |
    `String` | `getNameWithinArchive()` |

    - ### Methods inherited from class de.gebit.integrity.providers.TestResource

      `createPlatformResourceURI, equals, getName, getProvider, hashCode, openResource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ArchivedTestResource

          public ArchivedTestResource​(String aName,
                                      TestResourceProvider aProvider,
                                      Stack<String> anArchiveFilenameStack,
                                      String aNameWithinArchive)

      Creates a new instance of `ArchiveTestResourceProvider.ArchivedTestResource`.
      Parameters:
        `aName` - the full name of the resource
        `aProvider` - the provider
        `anArchiveFilenameStack` - the stack of archives to search within
        `aNameWithinArchive` - the name of the resource within the directly containing archive

  - ### Method Detail

    - #### getArchiveFilenameStack

          public Stack<String> getArchiveFilenameStack()

    - #### getNameWithinArchive

          public String getNameWithinArchive()